/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.picking.activiti.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.picking.activiti.entity.PickApplication;
import com.jeeplus.modules.sg.picking.activiti.entity.PickIng;
import com.jeeplus.modules.sg.picking.activiti.entity.ShowList;

import java.util.List;

/**
 * 模块显示MAPPER接口
 * @author
 * @version 2019-11-08
 */

@MyBatisMapper
public interface ShowListMapper extends BaseMapper<ShowList> {
    String findNumber(String projectId);
//    public List<ShowList> findNewList(ShowList entity);

    /**
     * 保存项目提前领料流程信息
     */
    void newSave(PickApplication pickApplication);

    void projectUpdate(PickApplication pickApplication);

    String selectProjectId(String id);

    List<ShowList> findNewList(ShowList showList);
}