<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	var item = "";
	var procInsId = $("#procInsId").val();
		console.log(procInsId);
		//bootstrapTable加载数据
		$('#informationTable').bootstrapTable({
			//请求方法
			method: 'post',
			//类型json
			dataType: "json",
			contentType: "application/x-www-form-urlencoded",
			//显示检索按钮
			showSearch: false,
			//显示刷新按钮
			showRefresh: false,
			//显示切换手机试图按钮
			showToggle: false,
			//显示 内容列下拉框
			showColumns: false,
			//显示到处按钮
			showExport: false,
			//显示切换分页按钮
			showPaginationSwitch: false,
			//最低显示2行
			minimumCountColumns: 2,
			//是否显示行间隔色
			striped: true,
			//是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
			cache: false,
			//是否显示分页（*）
			pagination: false,
			//排序方式
			sortOrder: "asc",
			//初始化加载第一页，默认第一页
			pageNumber: 1,
			//每页的记录行数（*）
			pageSize: 10,
			//可供选择的每页的行数（*）
			pageList: [10, 25, 50, 100],
			//这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
			url: "${ctx}/picking/activiti/constructionData?procInsId="+procInsId,
			//默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
			////查询参数,每次调用是会带上这个参数，可自定义
			queryParams: function (params) {
				var searchParam = $("#searchForm").serializeJSON();
				searchParam.pageNo = params.limit === undefined ? "1" : params.offset / params.limit + 1;
				searchParam.pageSize = params.limit === undefined ? -1 : params.limit;
				searchParam.orderBy = params.sort === undefined ? "" : params.sort + " " + params.order;
				return searchParam;
			},
			//分页方式：client客户端分页，server服务端分页（*）
			sidePagination: "server",
			contextMenuTrigger: "right",//pc端 按右键弹出菜单
			contextMenuTriggerMobile: "press",//手机端 弹出菜单，click：单击， press：长按。
			contextMenu: '#context-menu',
			onClickRow: function (row, $el) {
			},
			onShowSearch: function () {
				$("#search-collapse").slideToggle();
			},
			formatNoMatches: function () {
				return "你的自定义文字说明";
			},
			columns: [
				{
					field: 'materialCode',
					title: '物料编码',
				}, {
					field: 'materialDescription',
					title: '物料名称',
				}, {
					field: 'extensionDescription',
					title: '扩展描述',
				}, {
					field: 'mdUnits',
					title: '单位',
				}, {
					field: 'mdTotalAmount',
					title: '总量',
				}, {
					field: 'mdSingleWeight',
					title: '单重/kg',
				}, {
					field: 'mdTotalWeight',
					title: '总重/吨',
				}, {
					field: 'mdTheParty',
					title: '甲乙供',
				}, {
					field: 'mdText',
					title: '备注',
				}
			]
		});

	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端
		  $('#informationTable').bootstrapTable("toggleView");
		}

	// 绑定查询按扭
	$("#search").click("click", function() {
		  $('#informationTable').bootstrapTable('refresh');
		});

	// 绑定查询重置按扭
	 $("#reset").click("click", function() {
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $('#informationTable').bootstrapTable('refresh');
		});

	 	//通过
		$("#agree").click(function () {
			jp.prompt("同意, 审批意见", function (message) {
				jp.post("${ctx}/act/task/leaderExamine",
					{
						"taskId":"${showList.act.taskId}",
						"taskName":"${showList.act.taskName}",
						"taskDefKey":"${showList.act.taskDefKey}",
						"procInsId":"${showList.act.procInsId}",
						"procDefId":"${showList.act.procDefId}",
						"flag":"yes",
						"comment":window.encodeURI(message)
					},
					function (data) {
						if(data.success){
							jp.success(data.msg);
							jp.go("${ctx}/act/task/todo")
						}
					})
			})
		})

		//驳回
		$("#no").click(function () {
			jp.prompt("驳回, 审批意见", function (message) {
				jp.post("${ctx}/act/task/leaderExamine",
					{
						"taskId":"${showList.act.taskId}",
						"taskName":"${showList.act.taskName}",
						"taskDefKey":"${showList.act.taskDefKey}",
						"procInsId":"${showList.act.procInsId}",
						"procDefId":"${showList.act.procDefId}",
						"flag":"no",
						"comment":window.encodeURI(message)
					},
					function (data) {
						if(data.success){
							jp.success(data.msg);
							jp.go("${ctx}/act/task/todo")
						}
					})
			})
		})
	});

  function getIdSelections() {
        return $.map($("#informationTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
    //刷新列表
  function refresh() {
      $('#informationTable').bootstrapTable('refresh');
  }

	function addRow(list, idx, tpl, row){
		$(list).append(Mustache.render(tpl, {
			idx: idx, delBtn: true, row: row
		}));
	}
</script>
